petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFClose

Has the first processor in the communicator close a file; all others do nothing.

### Synopsis

    PetscErrorCode  PetscFClose(MPI_Comm comm,FILE *fd)

Logically Collective on MPI_Comm Many br

### Input Parameters

| comm | - the communicator Many br
| fd | - the file, opened with PetscFOpen() Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### See Also

PetscFOpen()

Level:developer
Location:src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html